Package org.eclipse.birt.chart.model.component.impl

# Class ScaleImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.ScaleImpl

All Implemented Interfaces:
  `Scale`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class ScaleImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Scale
An implementation of the model object ' Scale'.

The following features are implemented:

- `Min`
- `Max`
- `Step`
- `Unit`
- `Minor Grids Per Unit`
- `Step Number`
- `Show Outside`
- `Tick Between Categories`
- `Auto Expand`
- `Major Grids Step Number`
- `Factor`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMax(DataElement newMax, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMin(DataElement newMin, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Scale`
`copyInstance()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getFactor()`
`int`
`getMajorGridsStepNumber()`
`DataElement`
`getMax()`
`DataElement`
`getMin()`
`int`
`getMinorGridsPerUnit()`
`double`
`getStep()`
`int`
`getStepNumber()`
`ScaleUnitType`
`getUnit()`
`boolean`
`isAutoExpand()`
`boolean`
`isSetAutoExpand()`
`boolean`
`isSetFactor()`
`boolean`
`isSetMajorGridsStepNumber()`
`boolean`
`isSetMinorGridsPerUnit()`
`boolean`
`isSetShowOutside()`
`boolean`
`isSetStep()`
`boolean`
`isSetStepNumber()`
`boolean`
`isSetTickBetweenCategories()`
`boolean`
`isSetUnit()`
`boolean`
`isShowOutside()`
`boolean`
`isTickBetweenCategories()`
`void`
`setAutoExpand(boolean newAutoExpand)`
`void`
`setFactor(double newFactor)`
`void`
`setMajorGridsStepNumber(int newMajorGridsStepNumber)`
`void`
`setMax(DataElement newMax)`
`void`
`setMin(DataElement newMin)`
`void`
`setMinorGridsPerUnit(int newMinorGridsPerUnit)`
`void`
`setShowOutside(boolean newShowOutside)`
`void`
`setStep(double newStep)`
`void`
`setStepNumber(int newStepNumber)`
`void`
`setTickBetweenCategories(boolean newTickBetweenCategories)`
`void`
`setUnit(ScaleUnitType newUnit)`
`String`
`toString()`
`void`
`unsetAutoExpand()`
`void`
`unsetFactor()`
`void`
`unsetMajorGridsStepNumber()`
`void`
`unsetMinorGridsPerUnit()`
`void`
`unsetShowOutside()`
`void`
`unsetStep()`
`void`
`unsetStepNumber()`
`void`
`unsetTickBetweenCategories()`
`void`
`unsetUnit()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getMin

public DataElement getMin()

Specified by:
  `getMin` in interface `Scale`
Returns:
  the value of the 'Min' containment reference.
See Also:
  - `Scale.setMin(DataElement)`
  - `ComponentPackage.getScale_Min()`

### basicSetMin

public org.eclipse.emf.common.notify.NotificationChain basicSetMin(DataElement newMin, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMin

public void setMin(DataElement newMin)

Specified by:
  `setMin` in interface `Scale`
Parameters:
  `newMin` - the new value of the 'Min' containment reference.
See Also:
  - `Scale.getMin()`

### getMax

public DataElement getMax()

Specified by:
  `getMax` in interface `Scale`
Returns:
  the value of the 'Max' containment reference.
See Also:
  - `Scale.setMax(DataElement)`
  - `ComponentPackage.getScale_Max()`

### basicSetMax

public org.eclipse.emf.common.notify.NotificationChain basicSetMax(DataElement newMax, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMax

public void setMax(DataElement newMax)

Specified by:
  `setMax` in interface `Scale`
Parameters:
  `newMax` - the new value of the 'Max' containment reference.
See Also:
  - `Scale.getMax()`

### getStep

public double getStep()

Specified by:
  `getStep` in interface `Scale`
Returns:
  the value of the 'Step' attribute.
See Also:
  - `Scale.isSetStep()`
  - `Scale.unsetStep()`
  - `Scale.setStep(double)`
  - `ComponentPackage.getScale_Step()`

### setStep

public void setStep(double newStep)

Specified by:
  `setStep` in interface `Scale`
Parameters:
  `newStep` - the new value of the 'Step' attribute.
See Also:
  - `Scale.isSetStep()`
  - `Scale.unsetStep()`
  - `Scale.getStep()`

### unsetStep

public void unsetStep()

Specified by:
  `unsetStep` in interface `Scale`
See Also:
  - `Scale.isSetStep()`
  - `Scale.getStep()`
  - `Scale.setStep(double)`

### isSetStep

public boolean isSetStep()

Specified by:
  `isSetStep` in interface `Scale`
Returns:
  whether the value of the 'Step' attribute is set.
See Also:
  - `Scale.unsetStep()`
  - `Scale.getStep()`
  - `Scale.setStep(double)`

### getUnit

public ScaleUnitType getUnit()

Specified by:
  `getUnit` in interface `Scale`
Returns:
  the value of the 'Unit' attribute.
See Also:
  - `ScaleUnitType`
  - `Scale.isSetUnit()`
  - `Scale.unsetUnit()`
  - `Scale.setUnit(ScaleUnitType)`
  - `ComponentPackage.getScale_Unit()`

### setUnit

public void setUnit(ScaleUnitType newUnit)

Specified by:
  `setUnit` in interface `Scale`
Parameters:
  `newUnit` - the new value of the 'Unit' attribute.
See Also:
  - `ScaleUnitType`
  - `Scale.isSetUnit()`
  - `Scale.unsetUnit()`
  - `Scale.getUnit()`

### unsetUnit

public void unsetUnit()

Specified by:
  `unsetUnit` in interface `Scale`
See Also:
  - `Scale.isSetUnit()`
  - `Scale.getUnit()`
  - `Scale.setUnit(ScaleUnitType)`

### isSetUnit

public boolean isSetUnit()

Specified by:
  `isSetUnit` in interface `Scale`
Returns:
  whether the value of the 'Unit' attribute is set.
See Also:
  - `Scale.unsetUnit()`
  - `Scale.getUnit()`
  - `Scale.setUnit(ScaleUnitType)`

### getMinorGridsPerUnit

public int getMinorGridsPerUnit()

Specified by:
  `getMinorGridsPerUnit` in interface `Scale`
Returns:
  the value of the 'Minor Grids Per Unit' attribute.
See Also:
  - `Scale.isSetMinorGridsPerUnit()`
  - `Scale.unsetMinorGridsPerUnit()`
  - `Scale.setMinorGridsPerUnit(int)`
  - `ComponentPackage.getScale_MinorGridsPerUnit()`

### setMinorGridsPerUnit

public void setMinorGridsPerUnit(int newMinorGridsPerUnit)

Specified by:
  `setMinorGridsPerUnit` in interface `Scale`
Parameters:
  `newMinorGridsPerUnit` - the new value of the 'Minor Grids Per Unit' attribute.
See Also:
  - `Scale.isSetMinorGridsPerUnit()`
  - `Scale.unsetMinorGridsPerUnit()`
  - `Scale.getMinorGridsPerUnit()`

### unsetMinorGridsPerUnit

public void unsetMinorGridsPerUnit()

Specified by:
  `unsetMinorGridsPerUnit` in interface `Scale`
See Also:
  - `Scale.isSetMinorGridsPerUnit()`
  - `Scale.getMinorGridsPerUnit()`
  - `Scale.setMinorGridsPerUnit(int)`

### isSetMinorGridsPerUnit

public boolean isSetMinorGridsPerUnit()

Specified by:
  `isSetMinorGridsPerUnit` in interface `Scale`
Returns:
  whether the value of the 'Minor Grids Per Unit' attribute is set.
See Also:
  - `Scale.unsetMinorGridsPerUnit()`
  - `Scale.getMinorGridsPerUnit()`
  - `Scale.setMinorGridsPerUnit(int)`

### getStepNumber

public int getStepNumber()

Specified by:
  `getStepNumber` in interface `Scale`
Returns:
  the value of the 'Step Number' attribute.
See Also:
  - `Scale.isSetStepNumber()`
  - `Scale.unsetStepNumber()`
  - `Scale.setStepNumber(int)`
  - `ComponentPackage.getScale_StepNumber()`

### setStepNumber

public void setStepNumber(int newStepNumber)

Specified by:
  `setStepNumber` in interface `Scale`
Parameters:
  `newStepNumber` - the new value of the 'Step Number' attribute.
See Also:
  - `Scale.isSetStepNumber()`
  - `Scale.unsetStepNumber()`
  - `Scale.getStepNumber()`

### unsetStepNumber

public void unsetStepNumber()

Specified by:
  `unsetStepNumber` in interface `Scale`
See Also:
  - `Scale.isSetStepNumber()`
  - `Scale.getStepNumber()`
  - `Scale.setStepNumber(int)`

### isSetStepNumber

public boolean isSetStepNumber()

Specified by:
  `isSetStepNumber` in interface `Scale`
Returns:
  whether the value of the 'Step Number' attribute is set.
See Also:
  - `Scale.unsetStepNumber()`
  - `Scale.getStepNumber()`
  - `Scale.setStepNumber(int)`

### isShowOutside

public boolean isShowOutside()

Specified by:
  `isShowOutside` in interface `Scale`
Returns:
  the value of the 'Show Outside' attribute.
See Also:
  - `Scale.isSetShowOutside()`
  - `Scale.unsetShowOutside()`
  - `Scale.setShowOutside(boolean)`
  - `ComponentPackage.getScale_ShowOutside()`

### setShowOutside

public void setShowOutside(boolean newShowOutside)

Specified by:
  `setShowOutside` in interface `Scale`
Parameters:
  `newShowOutside` - the new value of the 'Show Outside' attribute.
See Also:
  - `Scale.isSetShowOutside()`
  - `Scale.unsetShowOutside()`
  - `Scale.isShowOutside()`

### unsetShowOutside

public void unsetShowOutside()

Specified by:
  `unsetShowOutside` in interface `Scale`
See Also:
  - `Scale.isSetShowOutside()`
  - `Scale.isShowOutside()`
  - `Scale.setShowOutside(boolean)`

### isSetShowOutside

public boolean isSetShowOutside()

Specified by:
  `isSetShowOutside` in interface `Scale`
Returns:
  whether the value of the 'Show Outside' attribute is set.
See Also:
  - `Scale.unsetShowOutside()`
  - `Scale.isShowOutside()`
  - `Scale.setShowOutside(boolean)`

### isTickBetweenCategories

public boolean isTickBetweenCategories()

Specified by:
  `isTickBetweenCategories` in interface `Scale`
Returns:
  the value of the 'Tick Between Categories' attribute.
See Also:
  - `Scale.isSetTickBetweenCategories()`
  - `Scale.unsetTickBetweenCategories()`
  - `Scale.setTickBetweenCategories(boolean)`
  - `ComponentPackage.getScale_TickBetweenCategories()`

### setTickBetweenCategories

public void setTickBetweenCategories(boolean newTickBetweenCategories)

Specified by:
  `setTickBetweenCategories` in interface `Scale`
Parameters:
  `newTickBetweenCategories` - the new value of the 'Tick Between Categories' attribute.
See Also:
  - `Scale.isSetTickBetweenCategories()`
  - `Scale.unsetTickBetweenCategories()`
  - `Scale.isTickBetweenCategories()`

### unsetTickBetweenCategories

public void unsetTickBetweenCategories()

Specified by:
  `unsetTickBetweenCategories` in interface `Scale`
See Also:
  - `Scale.isSetTickBetweenCategories()`
  - `Scale.isTickBetweenCategories()`
  - `Scale.setTickBetweenCategories(boolean)`

### isSetTickBetweenCategories

public boolean isSetTickBetweenCategories()

Specified by:
  `isSetTickBetweenCategories` in interface `Scale`
Returns:
  whether the value of the 'Tick Between Categories' attribute is set.
See Also:
  - `Scale.unsetTickBetweenCategories()`
  - `Scale.isTickBetweenCategories()`
  - `Scale.setTickBetweenCategories(boolean)`

### isAutoExpand

public boolean isAutoExpand()

Specified by:
  `isAutoExpand` in interface `Scale`
Returns:
  the value of the 'Auto Expand' attribute.
See Also:
  - `Scale.isSetAutoExpand()`
  - `Scale.unsetAutoExpand()`
  - `Scale.setAutoExpand(boolean)`
  - `ComponentPackage.getScale_AutoExpand()`

### setAutoExpand

public void setAutoExpand(boolean newAutoExpand)

Specified by:
  `setAutoExpand` in interface `Scale`
Parameters:
  `newAutoExpand` - the new value of the 'Auto Expand' attribute.
See Also:
  - `Scale.isSetAutoExpand()`
  - `Scale.unsetAutoExpand()`
  - `Scale.isAutoExpand()`

### unsetAutoExpand

public void unsetAutoExpand()

Specified by:
  `unsetAutoExpand` in interface `Scale`
See Also:
  - `Scale.isSetAutoExpand()`
  - `Scale.isAutoExpand()`
  - `Scale.setAutoExpand(boolean)`

### isSetAutoExpand

public boolean isSetAutoExpand()

Specified by:
  `isSetAutoExpand` in interface `Scale`
Returns:
  whether the value of the 'Auto Expand' attribute is set.
See Also:
  - `Scale.unsetAutoExpand()`
  - `Scale.isAutoExpand()`
  - `Scale.setAutoExpand(boolean)`

### getMajorGridsStepNumber

public int getMajorGridsStepNumber()

Specified by:
  `getMajorGridsStepNumber` in interface `Scale`
Returns:
  the value of the 'Major Grids Step Number' attribute.
See Also:
  - `Scale.isSetMajorGridsStepNumber()`
  - `Scale.unsetMajorGridsStepNumber()`
  - `Scale.setMajorGridsStepNumber(int)`
  - `ComponentPackage.getScale_MajorGridsStepNumber()`

### setMajorGridsStepNumber

public void setMajorGridsStepNumber(int newMajorGridsStepNumber)

Specified by:
  `setMajorGridsStepNumber` in interface `Scale`
Parameters:
  `newMajorGridsStepNumber` - the new value of the 'Major Grids Step Number' attribute.
See Also:
  - `Scale.isSetMajorGridsStepNumber()`
  - `Scale.unsetMajorGridsStepNumber()`
  - `Scale.getMajorGridsStepNumber()`

### unsetMajorGridsStepNumber

public void unsetMajorGridsStepNumber()

Specified by:
  `unsetMajorGridsStepNumber` in interface `Scale`
See Also:
  - `Scale.isSetMajorGridsStepNumber()`
  - `Scale.getMajorGridsStepNumber()`
  - `Scale.setMajorGridsStepNumber(int)`

### isSetMajorGridsStepNumber

public boolean isSetMajorGridsStepNumber()

Specified by:
  `isSetMajorGridsStepNumber` in interface `Scale`
Returns:
  whether the value of the 'Major Grids Step Number' attribute is set.
See Also:
  - `Scale.unsetMajorGridsStepNumber()`
  - `Scale.getMajorGridsStepNumber()`
  - `Scale.setMajorGridsStepNumber(int)`

### getFactor

public double getFactor()

Specified by:
  `getFactor` in interface `Scale`
Returns:
  the value of the 'Factor' attribute.
See Also:
  - `Scale.isSetFactor()`
  - `Scale.unsetFactor()`
  - `Scale.setFactor(double)`
  - `ComponentPackage.getScale_Factor()`

### setFactor

public void setFactor(double newFactor)

Specified by:
  `setFactor` in interface `Scale`
Parameters:
  `newFactor` - the new value of the 'Factor' attribute.
See Also:
  - `Scale.isSetFactor()`
  - `Scale.unsetFactor()`
  - `Scale.getFactor()`

### unsetFactor

public void unsetFactor()

Specified by:
  `unsetFactor` in interface `Scale`
See Also:
  - `Scale.isSetFactor()`
  - `Scale.getFactor()`
  - `Scale.setFactor(double)`

### isSetFactor

public boolean isSetFactor()

Specified by:
  `isSetFactor` in interface `Scale`
Returns:
  whether the value of the 'Factor' attribute is set.
See Also:
  - `Scale.unsetFactor()`
  - `Scale.getFactor()`
  - `Scale.setFactor(double)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### copyInstance

public Scale copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Scale`